@echo off

:clean
if exist *.o     del *.o
if exist map.txt del map.txt

set compile=call compile c++
set opts=-I zlib -I original -I gp2x -I \projects\libraries\minimal -I .

vfs -init
for %%i in (data\*.*) do vfs %%i
vfs -end

pause

:nores
for %%i in (original\*.cpp) do %compile% %%i %opts%

for %%i in (gp2x\*.cpp) do %compile% %%i %opts%

copy \projects\libraries\minimal\minimal.c minimal.cpp /y
copy \projects\libraries\minimal\minimal.h minimal.h   /y

%compile% minimal.cpp %opts%

set compile=
set opts=

:link_
call link c++ collision.o cutscene.o file.o game.o graphics.o main.o menu.o mixer.o mod_player.o piege.o resource.o scaler.o sfx_player.o staticres.o systemstub_sdl.o unpack.o util.o video.o minimal.o zlib\zlib.a vfs_external.o

copy output.gpe rs.gpe /y
copy vfs.dat    rs.dat /y

:clean
if exist output.* del output.*
if exist *.o      del *.o
if exist map.txt  del map.txt
if exist vfs.*    del vfs.*
